version: "3.9"

services:
  nginx:
    restart: always
    build:
      context: ./nginx
    ports:
      - "80:80" # port exposed to outside world.
      - "443:443" # <--- add this line
    command: "/bin/sh -c 'while :; do sleep 6h & wait $${!}; nginx -s reload; done & nginx -g \"daemon off;\"'"
    volumes:
      - ./persistentdata/certbot/conf:/etc/letsencrypt # <--here
      - ./persistentdata/certbot/www:/var/www/certbot
      - ./persistentdata/static:/var/www/static
      - ./persistentdata/media:/var/www/media
  django-backend:
    restart: always
    build:
      context: ./django-backend
    image: djangobackend
    volumes:
      - ./persistentdata/static:/var/www/static # <--here
      - ./persistentdata/media:/var/www/media # <--here
    environment:
      - DEBUG=$DEBUG
      - SECRET_KEY=$SECRET_KEY
      - ALLOWED_HOSTS=$ALLOWED_HOSTS
      - CORS_ORIGIN_WHITELIST=$CORS_ORIGIN_WHITELIST
      - PG_NAME=$PG_NAME
      - PG_USER=$PG_USER
      - PG_PASSWORD=$PG_PASSWORD
      - PG_HOST=$PG_HOST
      - CSRF_TRUSTED_ORIGINS=$CSRF_TRUSTED_ORIGINS
      - REDIRECT_TO=$REDIRECT_TO
  postgresql-db:
    restart: always
    image: postgres
    volumes:
      - ./persistentdata/db:/var/lib/postgresql/data
    environment: # I change it!!!!
      POSTGRES_DB: $PG_NAME
      POSTGRES_HOST: $PG_HOST
      POSTGRES_USER: $PG_USER
      POSTGRES_PASSWORD: $PG_PASSWORD
  certbot:
    image: certbot/certbot
    entrypoint: "/bin/sh -c 'trap exit TERM; while :; do certbot renew; sleep 12h & wait $${!}; done;'"
    volumes:
      - ./persistentdata/certbot/conf:/etc/letsencrypt # <--here
      - ./persistentdata/certbot/www:/var/www/certbot